# Sale Sub State

This module allows to add a substate to sale order. For each sale order state you can define a substate. With this module substates can be defined allowing to extend the sales workflow. For example, you can add substate “waiting for legal documents” if the order cannot be validated without this document (sell a car for example).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

1. Go to ** Settings > Technical > Sub State Configuration ** and Add “Base Substate”.
     If necessary you can add “Target State values” (ex define a substate for “cancel” state). Substate sequence is very important.
2. Create a sale order and check if the substate are displayed on the header of form view. Check if you can’t set substate defined for sale if sate is a quotation.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Akretion

## Contributors

- Mourad EL HADJ MIMOUNE <mourad.elhadj.mimoune@akretion.com>
- Alexei Rivera <arivera@archeti.com> (migration to 15.0)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/sale-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.